=== debian/changelog ===
asap (4.4.0+atnf2) UNRELEASED; urgency=medium

  * Document environment variables in README.Debian
  * Add manpages and repeat env var info there
  * Significant upgrade of asap_update_data
  * Make the 'clean' target a bit more obsessive

 -- Vincent McIntyre <vincent.mcintyre@csiro.au>  Wed, 06 Mar 2019 09:30:36 +1100

asap (4.4.0+atnf1) UNRELEASED; urgency=medium

  * Merge changes r3129-r3132 to trunk
  * Build-depend on libbost-python-dev

 -- Vincent McIntyre <vincent.mcintyre@csiro.au>  Mon, 25 Jun 2018 17:45:19 +1000

asap (4.4.0) unstable; urgency=medium

  * Included upstream revisions up to r3128
  * Updated dependencies to take account of the dependency chain
    within the casacore packages
  * Transition to dh_python2 rather than python-support
  * Update Standards-Version compat level
  * Use c++11 features (shared_ptr in std lib)

 -- Vincent McIntyre <vincent.mcintyre@csiro.au>  Tue, 16 May 2017 02:34:13 +0000

asap (4.1.2) unstable; urgency=low

  * added postinst script
  * added ability to set_tsys

 -- Malte Marquarding <Malte.Marquarding@csiro.au>  Fri, 15 Mar 2013 14:38:45 +1100

asap (4.1.1) unstable; urgency=low

   * added various methods.

 -- Malte Marquarding <Malte.Marquarding@csiro.au>  Thu, 14 Mar 2013 21:15:57 +1100

asap (4.1.0) unstable; urgency=low

  * Initial debian package release.

 -- Malte Marquarding <mar637@brage.atnf.CSIRO.AU>  Thu, 04 Oct 2012 12:25:32 +1000
