=== debian/control ===
Source: asap
Section: science
Priority: extra
Maintainer: Malte Marquarding <Malte.Marquarding@csiro.au>
Build-Depends: python-setuptools (>= 0.6b3), python-dev, debhelper (>= 7), dh-python, scons (>= 1.0), casacore-dev, libboost-python-dev, rpfits-dev, libcfitsio-dev, wcslib-dev
Standards-Version: 3.9.6.1
Homepage: http://svn.atnf.csiro.au/trac/asap
X-Python-Version: >=2.6

Package: python-asap
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-matplotlib (>= 0.99.1), ipython (>= 0.8),   libcasa-python2, libcasa-ms2, libcasa-images2
Description: ATNF Spectral-line Analysis Package
 A package to process and analyse spectral-line
 data from (ATNF) single-dish telescopes.
